Get Cast Member
curl --request GET \
--url https://api.example.com/cast-members/{id}import requests
url = "https://api.example.com/cast-members/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/cast-members/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"person_id": "<string>",
"production_id": "<string>",
"role_id": "<string>",
"role_type": "<string>",
"billing_order": 123
}Cast Members
Get Cast Member
Retrieve a specific cast member assignment by ID
GET
/
cast-members
/
{id}
Get Cast Member
Overview
Returns detailed information about a single cast member assignment identified by its unique ID.Path Parameters
string
required
The unique identifier of the cast member assignment
Request
curl https://entertheatre.com/api/cast-members/cast-001
const castMemberId = 'cast-001';
const response = await fetch(`https://entertheatre.com/api/cast-members/${castMemberId}`);
const castMember = await response.json();
import requests
cast_member_id = 'cast-001'
response = requests.get(f'https://entertheatre.com/api/cast-members/{cast_member_id}')
cast_member = response.json()
Response
string
required
Unique identifier for the cast member assignment
string
required
ID of the person
string
required
ID of the production
string
ID of the role/character (if applicable)
string
required
Type of role:
principal, ensemble, understudy, swing, standby, alternatenumber
Order in the billing (1 = top billing)
Example Response
{
"id": "cast-001",
"person_id": "person-001",
"production_id": "prod-001",
"role_id": "role-001",
"role_type": "principal",
"billing_order": 1
}
Error Response
{
"error": "Cast member not found"
}
Status Codes
| Status | Description |
|---|---|
200 | Success - returns cast member object |
404 | Cast member not found |
500 | Server error |